#ifndef COLOR_LEVELS_H
#define COLOR_LEVELS_H

#include <glib.h>


extern void iv_color_levels_apply_lines(
	const guint8 *src, guint8 *tar,
	const gint width, const gint height,
	const gint bpp, const gint bpl,
	const gint red_min, const gfloat red_mid_coeff, const gint red_max,
	const gint green_min, const gfloat green_mid_coeff, const gint green_max,
	const gint blue_min, const gfloat blue_mid_coeff, const gint blue_max,
	const gint alpha_min, const gfloat alpha_mid_coeff, const gint alpha_max,
	const gint y_start, const gint y_end,
	gint (*progress_cb)(const gulong, const gulong, gpointer),
	gpointer progress_data
);
extern void iv_color_levels_apply(
	const guint8 *src, guint8 *tar,
	const gint width, const gint height,
	const gint bpp, const gint bpl,
	const gint red_min, const gfloat red_mid_coeff, const gint red_max,
	const gint green_min, const gfloat green_mid_coeff, const gint green_max,
	const gint blue_min, const gfloat blue_mid_coeff, const gint blue_max,
	const gint alpha_min, const gfloat alpha_mid_coeff, const gint alpha_max,
	gint (*progress_cb)(const gulong, const gulong, gpointer),
	gpointer progress_data
);


#endif	/* COLOR_LEVELS_H */
