/*
				Screen Shot
 */

#ifndef SCREENSHOT_H
#define SCREENSHOT_H

#include <gtk/gtk.h>
#include "imgview.h"


extern const gchar *iv_screenshot_get_error(void);

extern gint iv_screenshot_start(
	imgview_struct *iv,
	const gulong delay_ms,
	const gboolean include_decorations,
	GtkWidget *grab_window,
	GdkCursor *grab_cursor,
	imgview_image_struct **img_rtn,
	gint *x_rtn, gint *y_rtn,
	gint *base_width_rtn, gint *base_height_rtn
);


#endif	/* SCREENSHOT_H */
